Bug 159004 - ITE 8212 simply does not work, Raid, software Raid, regular IDE
ITE 8212 simply does not work, Raid, software Raid, regular IDE
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-27 11:45 EDT by Andrew Buchanan
Modified: 2015-01-04 17:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:48:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Buchanan 2005-05-27 11:45:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020 Firefox/0.10.1

Description of problem:
MotherBoard is an ASUS P5GD1 with integrated ITE 8212 IDE Raid Controller
2 80 GB IDE Drives are installed, Each a primary on it's own channel.  Raid Settings are correct in the bios and a raid 1 volume was created.  I've installed Windows 2003 onto the raid volume previously so I'm confident that it is not in error.

Anaconda correctly Identified the ITE 8212 controller and finds the raid volume correctly.  The disk paritioner also finds it, and I accept the default partition layout.  However the format screen moves one little block and then hangs (I've left it about 5 minutes, and tried twice).

I then removed the hardware raid from the bios and set the drives up as 2 normal ide drives and tried software raid, which formatted and installed correctly, but upon reboot it gives a message about my main raid volume (md2) being unclean and that it is backgrounding rebuilding it.  So that doesn't work either.

Finally I reinstalled without any raid onto a single disk using default partitioning, and after installing the system hangs on Red Hat Nash 4.2.11 after reporting VolGroup00 now active.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create Hardware Raid array in BIOS
2. Try to install fedora
3. It hangs while trying to format

4. Disable Hardware Raid in Bios
5. Try to install fedora onto Software Raid
6. It crashes on reboot saying that the raid array is unclean

7. Disable Hardware Raid in Bios
8. Try to install fedora onto a single hard disk
9. It crashes on reboot during Red Hat Nash, saying VolGroup00 is now active

Additional info:
Comment 1 Alan Cox 2005-05-28 07:23:54 EDT
Background raid rebuilding would be normal if anaconda didn't wait long
enough/do a tidy shutdown. That one doesn't seem to be IT8212. The hardware one
does sound like a kernel bug. What shows on the other consoles when it hangs -
especially what is occurring on the console showing the fs creation ?

Also what bios firmware do you have for the it8212 (the values it gives during boot)
Comment 2 Andrew Buchanan 2005-05-28 11:12:14 EDT
Asus P5GD1 - Intel 915 Chipset
Pentium 4 530 (3 Ghz, 1 MB L2)
2x512 MB Kingston DDR 400
Radeon x300 pci express
2x80 GB Hitachi Deskstar IDE HD, each as a primary on it's own IT8212 channel.

I will get you the raid bios and ide bios versions for the IT8212 on Monday 
when I go back into work.

I tried to do a software raid using the onboard intel ide controller after I 
filed this report, and it also started a background raid rebuilding, so I do 
believe you are correct that the software raid problem is not isolated to the 
IT8212.  I waited about 30 minutes and it didn't appear to ever finish or 
continue to boot.  I've never used software raid before in linux, so I have no 
idea if it gives any progress indication when rebuilding, or how long it takes 
to rebuild.  I may just not have been patient enough.  It said background raid 
rebuilding, but the system didn't continue to boot, I'm not sure if it was 
supposed to or not.  For general information, I made my software raid as 
follows.  100 mb software raid partition, 2000 mb software raid partition, 
77000 or so mb raid partition.  The second drive I used the clone partitioning 
scheme feature for raid.  I then merged the 100mb partitions on both drives as 
an ext3 boot partition in raid 1, the 2000 mb partitions as a swap partition 
in raid 1, and the 77000ish partitions into an ext3 partition mounted at '/'.

As for the problem with using no raid and setting the it8212 to ide mode in 
the bios and then trying to install to a single hard disk.  The install went 
fine.  After install the system reboots like normal but stops after 
saying "VolGroup00" is now active.  I believe the next thing that should have 
happened is that init should have loaded, but it simply never did.  

With Hardware Raid I created a raid 1 array in the raid bios.  Fedora 
correctly recognized the controller, and found only 1 drive as it should in 
the case of the hardware raid.  I chose the default partitioning scheme for 
this.  However when it tried to format the disk the progress indicator moved 1 
notch and then stopped.  I left it for about 5 minutes, and I tried it on at 
least 3 instances and every time I got the same result.  I also tried CentOS 4 
but it also seemed to hang at this point.  I suppose I could have left it 
longer than 5 minutes, but I know that when I installed fedora using software 
raid or no raid it formatted in much less than 5 minutes.  I've installed 
fedora 3 alot and it's never taken very long to format.  If I am wrong here I 
apologize for wasting everyones time.

I tried to install fedora 4 test 3 about 8 times yesterday with different hard 
disk configurations, but eventually I just hooked up a maxtor drive and the 
cdrom both the intel controller and installed fedora 3 and started running yum 
update.  I believe there is a problem with the IT8212 with hardware raid.  
Software raid seems to be a problem with the fedora 4 test 3.  The CDROM 
definately works fine on the IT8212 controller in ide mode, but when I 
installed to a hard disk in ide mode the system never loaded init on reboot.

Hopefully this is helpful.  I will gladly answer any other questions.
Comment 3 Andrew Buchanan 2005-05-28 11:14:26 EDT
I wasn't aware I could check other consoles when it hangs :-), I will try to 
look into that and post back.
Comment 4 Dave Jones 2005-06-27 19:18:29 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.
Comment 5 Cory Webb 2005-08-24 19:48:43 EDT
Andrew and Dave,

I don't know if this will help, but I was having similar problems using software
RAID with FC4.  I disabled "IDE Prefetch" in the BIOS and the problem went away.
Comment 6 Dave Jones 2005-09-30 02:57:31 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 7 Dave Jones 2005-11-10 15:03:28 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 8 Dave Jones 2006-02-03 00:56:05 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 9 John Thacker 2006-05-04 09:48:06 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.